# 78. クエリ: "externalKey" で "Fields" を検索

「フィールド」登録手続き中に組み込まれたサードパーティの externalKey によって「フィールド」を検索します。

### <mark style="color:オレンジ;">オプション 1</mark> getFields クエリを使用する

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    totalCount（合計件数）
    fields {
      uuid
      名前
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:オレンジ;">オプション 2</mark> getFarms クエリを使用する

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      名前
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/78-kueri-externalkey-de-fields-wo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
